<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://stickypages.ca
 * @since      1.0.0
 *
 * @package    Assistant7
 * @subpackage Assistant7/admin/partials
 */

if ( ! defined( 'WPINC' ) ) die;
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <img src="<?php echo plugins_url('../img/Assistant7.svg', __FILE__); ?>" class="assistant7-logo">
    <h2><?php esc_attr_e('Options', 'assistant7' ); ?></h2>

    <form method="post" name="<?php echo $this->plugin_name; ?>" action="options.php">
        <?php
        //Grab all options
        $options = get_option( $this->plugin_name );

        $tenantId = ( isset( $options['tenantId'] ) && ! empty( $options['tenantId'] ) ) ? esc_attr( $options['tenantId'] ) : '';

        settings_fields($this->plugin_name);
        do_settings_sections($this->plugin_name);

        ?>

        <!-- Text -->
        <fieldset>
            <p><?php esc_attr_e( 'Tenant Id', 'assistant7' ); ?></p>
            <legend class="screen-reader-text">
                <span><?php esc_attr_e( 'Tenant Id', 'assistant7' ); ?></span>
            </legend>
            <input type="text" class="tenantId" id="<?php echo $this->plugin_name; ?>-tenantId" name="<?php echo $this->plugin_name; ?>[tenantId]" value="<?php if( ! empty( $tenantId ) ) echo $tenantId; else echo 'default'; ?>"/>
        </fieldset>

        <?php submit_button( __( 'Save all changes', 'assistant7' ), 'primary','submit', TRUE ); ?>

    </form>
</div>
